# GstMseSrc

GstMseSrc is a source Element that interacts with a GstMediaSource to consume GstSamples processed by the Media Source and supplies them to the containing GstPipeline. In the perspective of the Media Source API, this element fulfills the basis of the Media Element's role relating to working with a Media Source. The remaining responsibilities are meant to be fulfilled by the application and GstPlay can be used to satisfy many of them.

Once added to a Pipeline, this element should be attached to a Media Source using gst_media_source_attach.

## GstMseSrc

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstMseSrc

Since : 1.24

### Class structure

#### GstMseSrcClass

##### Fields

`parent_class` (GstElementClass) –
No description available

### GstMse.MseSrcClass

##### Attributes

`parent_class` (Gst.ElementClass) –
No description available

### GstMse.MseSrcClass

##### Attributes

`parent_class` (Gst.ElementClass) –
No description available

## GstMse.MseSrc

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstMse.MseSrc

Since : 1.24

## GstMse.MseSrc

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstMse.MseSrc

Since : 1.24

### Methods

#### gst_mse_src_get_duration

    GstClockTime
    gst_mse_src_get_duration (GstMseSrc * self)

Gets the duration of self.

Specification

Parameters:

`self` –

GstMseSrc instance

Returns –

The duration of this stream as a GstClockTime

Since : 1.24

#### GstMse.MseSrc.prototype.get_duration

    function GstMse.MseSrc.prototype.get_duration(): {
        // javascript wrapper for 'gst_mse_src_get_duration'
    }

Gets the duration of self.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (Number) –

The duration of this stream as a Number

Since : 1.24

#### GstMse.MseSrc.get_duration

    def GstMse.MseSrc.get_duration (self):
        #python wrapper for 'gst_mse_src_get_duration'

Gets the duration of self.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (int) –

The duration of this stream as a int

Since : 1.24

#### gst_mse_src_get_n_audio

    guint
    gst_mse_src_get_n_audio (GstMseSrc * self)

Parameters:

`self` –

GstMseSrc instance

Returns –

the number of audio tracks available from this source

Since : 1.24

#### GstMse.MseSrc.prototype.get_n_audio

    function GstMse.MseSrc.prototype.get_n_audio(): {
        // javascript wrapper for 'gst_mse_src_get_n_audio'
    }

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (Number) –

the number of audio tracks available from this source

Since : 1.24

#### GstMse.MseSrc.get_n_audio

    def GstMse.MseSrc.get_n_audio (self):
        #python wrapper for 'gst_mse_src_get_n_audio'

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (int) –

the number of audio tracks available from this source

Since : 1.24

#### gst_mse_src_get_n_text

    guint
    gst_mse_src_get_n_text (GstMseSrc * self)

Parameters:

`self` –

GstMseSrc instance

Returns –

the number of text tracks available from this source

Since : 1.24

#### GstMse.MseSrc.prototype.get_n_text

    function GstMse.MseSrc.prototype.get_n_text(): {
        // javascript wrapper for 'gst_mse_src_get_n_text'
    }

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (Number) –

the number of text tracks available from this source

Since : 1.24

#### GstMse.MseSrc.get_n_text

    def GstMse.MseSrc.get_n_text (self):
        #python wrapper for 'gst_mse_src_get_n_text'

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (int) –

the number of text tracks available from this source

Since : 1.24

#### gst_mse_src_get_n_video

    guint
    gst_mse_src_get_n_video (GstMseSrc * self)

Parameters:

`self` –

GstMseSrc instance

Returns –

the number of video tracks available from this source

Since : 1.24

#### GstMse.MseSrc.prototype.get_n_video

    function GstMse.MseSrc.prototype.get_n_video(): {
        // javascript wrapper for 'gst_mse_src_get_n_video'
    }

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (Number) –

the number of video tracks available from this source

Since : 1.24

#### GstMse.MseSrc.get_n_video

    def GstMse.MseSrc.get_n_video (self):
        #python wrapper for 'gst_mse_src_get_n_video'

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (int) –

the number of video tracks available from this source

Since : 1.24

#### gst_mse_src_get_position

    GstClockTime
    gst_mse_src_get_position (GstMseSrc * self)

Gets the current playback position of self.

Specification

Parameters:

`self` –

GstMseSrc instance

Returns –

The playback position of this Element as a GstClockTime

Since : 1.24

#### GstMse.MseSrc.prototype.get_position

    function GstMse.MseSrc.prototype.get_position(): {
        // javascript wrapper for 'gst_mse_src_get_position'
    }

Gets the current playback position of self.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (Number) –

The playback position of this Element as a Number

Since : 1.24

#### GstMse.MseSrc.get_position

    def GstMse.MseSrc.get_position (self):
        #python wrapper for 'gst_mse_src_get_position'

Gets the current playback position of self.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (int) –

The playback position of this Element as a int

Since : 1.24

#### gst_mse_src_get_ready_state

    GstMseSrcReadyState
    gst_mse_src_get_ready_state (GstMseSrc * self)

The Ready State of self, describing to what level it can supply content for the current position. This is a separate concept from ready-state: and corresponds to the HTML Media Element's Ready State.

Specification

Parameters:

`self` –

GstMseSrc instance

Returns –

the current GstMseSrcReadyState

Since : 1.24

#### GstMse.MseSrc.prototype.get_ready_state

    function GstMse.MseSrc.prototype.get_ready_state(): {
        // javascript wrapper for 'gst_mse_src_get_ready_state'
    }

The Ready State of self, describing to what level it can supply content for the current position. This is a separate concept from ready-state: and corresponds to the HTML Media Element's Ready State.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (GstMse.MseSrcReadyState) –

the current GstMse.MseSrcReadyState

Since : 1.24

#### GstMse.MseSrc.get_ready_state

    def GstMse.MseSrc.get_ready_state (self):
        #python wrapper for 'gst_mse_src_get_ready_state'

The Ready State of self, describing to what level it can supply content for the current position. This is a separate concept from ready_state: and corresponds to the HTML Media Element's Ready State.

Specification

Parameters:

`self` (GstMse.MseSrc) –

GstMse.MseSrc instance

Returns (GstMse.MseSrcReadyState) –

the current GstMse.MseSrcReadyState

Since : 1.24

### Properties

#### duration

    “duration” guint64

The duration of the stream as a GstClockTime

Specification

Flags : Read / Write

Since : 1.24

#### duration

    “duration” Number

The duration of the stream as a Number

Specification

Flags : Read / Write

Since : 1.24

#### duration

    “self.props.duration” int

The duration of the stream as a int

Specification

Flags : Read / Write

Since : 1.24

#### n-audio

    “n-audio” guint

The number of audio tracks in the Media Source

Flags : Read

Since : 1.24

#### n-audio

    “n-audio” Number

The number of audio tracks in the Media Source

Flags : Read

Since : 1.24

#### n_audio

    “self.props.n_audio” int

The number of audio tracks in the Media Source

Flags : Read

Since : 1.24

#### n-text

    “n-text” guint

The number of text tracks in the Media Source

Flags : Read

Since : 1.24

#### n-text

    “n-text” Number

The number of text tracks in the Media Source

Flags : Read

Since : 1.24

#### n_text

    “self.props.n_text” int

The number of text tracks in the Media Source

Flags : Read

Since : 1.24

#### n-video

    “n-video” guint

The number of video tracks in the Media Source

Flags : Read

Since : 1.24

#### n-video

    “n-video” Number

The number of video tracks in the Media Source

Flags : Read

Since : 1.24

#### n_video

    “self.props.n_video” int

The number of video tracks in the Media Source

Flags : Read

Since : 1.24

#### position

    “position” guint64

The playback position as a GstClockTime

Specification

Flags : Read

Since : 1.24

#### position

    “position” Number

The playback position as a Number

Specification

Flags : Read

Since : 1.24

#### position

    “self.props.position” int

The playback position as a int

Specification

Flags : Read

Since : 1.24

#### ready-state

    “ready-state” GstMseSrcReadyState *

The Ready State of this element, describing to what level it can supply content for the current position. This is a separate concept from ready-state: and corresponds to the HTML Media Element's Ready State.

Specification

Flags : Read

Since : 1.24

#### ready-state

    “ready-state” GstMse.MseSrcReadyState

The Ready State of this element, describing to what level it can supply content for the current position. This is a separate concept from ready-state: and corresponds to the HTML Media Element's Ready State.

Specification

Flags : Read

Since : 1.24

#### ready_state

    “self.props.ready_state” GstMse.MseSrcReadyState

The Ready State of this element, describing to what level it can supply content for the current position. This is a separate concept from ready_state: and corresponds to the HTML Media Element's Ready State.

Specification

Flags : Read

Since : 1.24

## GstMseSrcPad

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstPad
                    ╰──GstMseSrcPad

Since : 1.24

### Class structure

#### GstMseSrcPadClass

##### Fields

`parent_class` (GstPadClass) –
No description available

### GstMse.MseSrcPadClass

##### Attributes

`parent_class` (Gst.PadClass) –
No description available

### GstMse.MseSrcPadClass

##### Attributes

`parent_class` (Gst.PadClass) –
No description available

## GstMse.MseSrcPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstMse.MseSrcPad

Since : 1.24

## GstMse.MseSrcPad

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Pad
                    ╰──GstMse.MseSrcPad

Since : 1.24

## Enumerations

### GstMseSrcReadyState

Describes how much information a GstMseSrc has about the media it is playing back at the current playback position. This type corresponds directly to the ready state of a HTML Media Element and is a separate concept from GstMediaSourceReadyState.

Specification

##### Members

`GST_MSE_SRC_READY_STATE_HAVE_NOTHING` (0) –

No information is available about the stream

`GST_MSE_SRC_READY_STATE_HAVE_METADATA` (1) –

The duration is available and video dimensions are available if the stream contains video

`GST_MSE_SRC_READY_STATE_HAVE_CURRENT_DATA` (2) –

The current playback position can be presented but future information is not available

`GST_MSE_SRC_READY_STATE_HAVE_FUTURE_DATA` (3) –

There is data for the current position and some amount in the future and any text tracks are ready.

`GST_MSE_SRC_READY_STATE_HAVE_ENOUGH_DATA` (4) –

Either there is enough data to play the stream through at the current playback and input rate or the input buffer is full.

Since : 1.24

### GstMse.MseSrcReadyState

Describes how much information a GstMse.MseSrc has about the media it is playing back at the current playback position. This type corresponds directly to the ready state of a HTML Media Element and is a separate concept from GstMse.MediaSourceReadyState.

Specification

##### Members

`GstMse.MseSrcReadyState.NOTHING` (0) –

No information is available about the stream

`GstMse.MseSrcReadyState.METADATA` (1) –

The duration is available and video dimensions are available if the stream contains video

`GstMse.MseSrcReadyState.CURRENT_DATA` (2) –

The current playback position can be presented but future information is not available

`GstMse.MseSrcReadyState.FUTURE_DATA` (3) –

There is data for the current position and some amount in the future and any text tracks are ready.

`GstMse.MseSrcReadyState.ENOUGH_DATA` (4) –

Either there is enough data to play the stream through at the current playback and input rate or the input buffer is full.

Since : 1.24

### GstMse.MseSrcReadyState

Describes how much information a GstMse.MseSrc has about the media it is playing back at the current playback position. This type corresponds directly to the ready state of a HTML Media Element and is a separate concept from GstMse.MediaSourceReadyState.

Specification

##### Members

`GstMse.MseSrcReadyState.NOTHING` (0) –

No information is available about the stream

`GstMse.MseSrcReadyState.METADATA` (1) –

The duration is available and video dimensions are available if the stream contains video

`GstMse.MseSrcReadyState.CURRENT_DATA` (2) –

The current playback position can be presented but future information is not available

`GstMse.MseSrcReadyState.FUTURE_DATA` (3) –

There is data for the current position and some amount in the future and any text tracks are ready.

`GstMse.MseSrcReadyState.ENOUGH_DATA` (4) –

Either there is enough data to play the stream through at the current playback and input rate or the input buffer is full.

Since : 1.24

The results of the search are